Assign Group Layers
PUT
/{organization}/projects/{projectId}/groups/{groupId}/layers
const url = 'https://app.civillo.com/api/v1/example/projects/1/groups/example/layers';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"layerIds":[1,2,3]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://app.civillo.com/api/v1/example/projects/1/groups/example/layers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "layerIds": [ 1, 2, 3 ] }'Add layer associations to this group. This action will add layer provided in the request body, ignoring layers that are already associated or do not exist. This action cannot not remove any layer associations.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”organization
required
string
The organization nickname
projectId
required
integer
The project id
groupId
required
string
The group id
Request Body
Section titled “Request Body”The layer ids to be newly associated with the group
Media typeapplication/json
object
layerIds
Array<integer>
Example
{ "layerIds": [ 1, 2, 3 ]}Responses
Section titled “ Responses ”Successful response
Bad Request
Unauthorized
Forbidden